Table of Contents

Class: IConnector | Twisted-0.17.4/twisted/internet/tcp.py
--- | ---

Connect this to that and make it stick.

Methods |
--- | ---
__init__ connectionFailed connectionLost getProtocol startConnecting
| __init__

    __init__ (
            self,
            host,
            portno,
            protocolFactory,
            timeout=30,
            )

Exceptions |
--- | ---
NotImplementedError

| connectionFailed

    connectionFailed ( self )

Exceptions |
--- | ---
NotImplementedError

| connectionLost

    connectionLost ( self )

Exceptions |
--- | ---
NotImplementedError

| getProtocol

    getProtocol ( self )

Get the current protocol instance.

Exceptions |
--- | ---
NotImplementedError

| startConnecting

    startConnecting ( self )

Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0